{ stdenv, fetchurl, bitwig-studio2, xorg, ... }:

bitwig-studio2.overrideAttrs (oldAttrs: rec {
  name = "bitwig-studio-${version}";
  version = "3.2.1";

  src = fetchurl {
    url =
      "https://downloads.bitwig.com/stable/${version}/bitwig-studio-${version}.deb";
    sha256 = "0lcqm4hbkz2d0dmh4ljix0r9cpqpqnjldm3r7f6dg54pcyr9s9c2";
  };

  buildInputs = bitwig-studio2.buildInputs ++ [ xorg.libXtst ];

  installPhase = ''
    ${oldAttrs.installPhase}

    # recover commercial jre
    rm -f $out/libexec/lib/jre
    cp -r opt/bitwig-studio/lib/jre $out/libexec/lib
  '';

})
